//    Copyright (C) 2004 Michael Mahr

//    This file is part of "lesschess".
//
//    "lesschess" is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    "lesschess" is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with "lesschess"; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef __defs__
#define __defs__

#include <sps2lib.h>
#include <sps2tags.h>
#include <sps2util.h>

#include "exception.h"
#include "matrixmanager/matrixmanager.h"
#include <math.h>
#define PI (4*atan(1))

//the function "DPUT_EE_GIF_FIFO" cannot directly be used in a templated class
//due to a compiler bug in gcc 2.95 - the following line is a workaround-hack
void HACK_DPUT_EE_GIF_FIFO(sps2uint128 &i128); 


extern MatrixManager matrixmanager;



#endif
